# billing/urls.py
from django.urls import path
from .views import (
    ListCreatePaymentView,
    VerifyPaymentView,
    PaymentDetailAPIView,
    UpdatePaymentAPIView,
    DeletePaymentView,
)

urlpatterns = [
    path("payment/", ListCreatePaymentView.as_view(), name="create-payment"),
    path("payment/<str:pk>/", PaymentDetailAPIView.as_view(), name="retrieve-payment"),
    path(
        "payment/<str:pk>/update/",
        UpdatePaymentAPIView.as_view(),
        name="update-payment",
    ),
    path(
        "payment/<str:pk>/delete/",
        DeletePaymentView.as_view(),
        name="delete-payment",
    ),
    path(
        "payment/<str:pk>/verify/", VerifyPaymentView.as_view(), name="verify-payment"
    ),
]
